package it.eng.test.remote.ds.helloservice;

import org.eclipse.equinox.app.IApplication;
import org.eclipse.equinox.app.IApplicationContext;

public class HelloApp implements IApplication {

	boolean done = false;
	Object appLock = new Object();

	public Object start(IApplicationContext context) throws Exception {
		// We just wait...everything is done by DS and HelloComponent
		synchronized (appLock) {
			while (!done) {
				try {
					appLock.wait();
				} catch (InterruptedException e) {
					// do nothing
				}
			}
		}
		return IApplication.EXIT_OK;
	}

	public void stop() {
		synchronized (appLock) {
			done = true;
			appLock.notifyAll();
		}
	}

}
